Create a full-text search index for table columns with language-specific optimization
Authentication: required
Required API Scope: Workspace Database: Create
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "search_label",
"lang": "english",
"fields": [
{
"name": "name",
"priority": 1
}
]
}
'{
"id": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
simple, arabic, danish, dutch, english, finnish, french, german, hungarian, indonesian, irish, italian, lithuanian, nepali, norwegian, portuguese, romanian, russian, spanish, swedish, tamil, turkish Show child attributes
Success!
Was this page helpful?
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "search_label",
"lang": "english",
"fields": [
{
"name": "name",
"priority": 1
}
]
}
'{
"id": "<string>"
}